<template>
  <div>
    <v-tooltip bottom>
      <template v-slot:activator="{ on }">
        <v-btn fab small color="primary" @click.stop="dialog = true" v-on="on">
          <v-icon>help_outline</v-icon>
        </v-btn>
      </template>
      <span>Open help</span>
    </v-tooltip>

    <v-dialog v-model="dialog" width="800">
      <v-card>
        <v-container fluid>
          <v-layout fill-height>
            <h4>Controls:</h4>
            <ul>
              <li>
                Change displayed visualizations - Click the
                <v-icon>settings</v-icon> Settings button below and select your
                desired visualizations.
              </li>
              <li>
                Share insights - Click the <v-icon>save</v-icon> Share insights
                button below.
              </li>
              <li>
                Undo selection - Click the <v-icon>mdi-select-off</v-icon> Undo
                Selection button below.
              </li>
              <li>
                Return to datasets - Click the
                <v-icon>navigate_before</v-icon> Back to datasets button below.
              </li>
              <li>
                Zoom in/out - Scroll your mousewheel to zoom in and out on any
                visualization.
              </li>
              <h4>Node-link visualization-specific:</h4>
              <ul>
                <li>
                  Pan graph - Click and drag the background of the graph to move
                  around.
                </li>
                <li>
                  Lasso select - Hold SHIFT and then drag your mouse around the
                  nodes you wish to select. These nodes' edges will then also be
                  selected in any loaded matrix visualization.
                </li>
                <li>
                  View node info - Hover over any node while zoomed in on it to
                  view the node's information.
                </li>
                <h4>Force directed visualization-specific:</h4>
                <ul>
                  <li>
                    Move node - Click on any node and drag your mouse to move it
                    around
                  </li>
                </ul>
              </ul>
              <h4>Matrix visualization-specific:</h4>
              <ul>
                <li>
                  Square select - Hold SHIFT and then drag your mouse over the
                  edges you wish to select, it will automatically select all
                  edges of all nodes you selected. These will then also be
                  selected in any loaded node-link visualization.
                </li>
              </ul>
            </ul>
          </v-layout>
        </v-container>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
export default {
  data() {
    return {
      dialog: false
    };
  },
  methods: {}
};
</script>

<style></style>
